Pony Stable 0.2.1 Released

Tuesday, July 23, 2019 | Posted in Release

Pony Stable 0.2.1 is the latest release of our little dependency manager that could. If you need submodule support when cloning a repository, this release is for you. Otherwise, you can skip it. If you had previously installed Stable via the Launchpad PPA, you’ll need to change your installation method as we are no longer distributing via Launchpad. You can install from Bintray by following the Ubuntu instructions in the pony-stable README.

Please note, at this time of this release, we are still waiting on the MacOS Homebrew release to be merged. Stable via Homebrew should be available soon, but it’s not something we have control over.

Fixed

  • Clone repositories recursively to support submodules (PR #112)

Changed

  • Stop building binary packages for Ubuntu Artful
  • Stop building binary packages for Ubuntu Trusty
  • Stop building binary packages for Debian Jessie
  • Stop building binary packages for Ubuntu Cosmic
  • Stop building binary packages for Debian Buster

AUTHOR

Sean T. Allen

Sean is a member of the Pony core team. His turn-ons include programming languages, distributed computing, Hiwatt amplifiers, and Fender Telecasters. His turn-offs include mayonnaise, stirring yogurt, and sloppy code. He is one of the authors of Storm Applied, and VP of Engineering at Wallaroo Labs.